DsGetDC.DS_DOMAIN_TRUSTS (JNA API)

com.sun.jna.platform.win32

## Class DsGetDC.DS_DOMAIN_TRUSTS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.DsGetDC.DS_DOMAIN_TRUSTS

- Direct Known Subclasses:
    DsGetDC.DS_DOMAIN_TRUSTS.ByReference
  Enclosing interface:
    DsGetDC

      public static class DsGetDC.DS_DOMAIN_TRUSTS
      extends Structure

  The DS_DOMAIN_TRUSTS structure is used with the DsEnumerateDomainTrusts function to contain trust data for a domain.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DsGetDC.DS_DOMAIN_TRUSTS.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `DnsDomainName` Pointer to a null-terminated string that contains the DNS name of the domain.
    `Guid.GUID` | `DomainGuid` Contains the GUID of the domain represented by this structure.
    `WinNT.PSID.ByReference` | `DomainSid` Contains the security identifier of the domain represented by this structure.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `int` | `Flags` Contains a set of flags that specify more data about the domain trust.
    `java.lang.String` | `NetbiosDomainName` Pointer to a null-terminated string that contains the NetBIOS name of the domain.
    `int` | `ParentIndex` Contains the index in the Domains array returned by the DsEnumerateDomainTrusts function that corresponds to the parent domain of the domain represented by this structure.
    `int` | `TrustAttributes` Contains a value that indicates the attributes of the trust represented by this structure.
    `int` | `TrustType` Contains a value that indicates the type of trust represented by this structure.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DS_DOMAIN_TRUSTS()`
    `DS_DOMAIN_TRUSTS(Pointer p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### NetbiosDomainName

          public java.lang.String NetbiosDomainName

      Pointer to a null-terminated string that contains the NetBIOS name of the domain.

    - #### DnsDomainName

          public java.lang.String DnsDomainName

      Pointer to a null-terminated string that contains the DNS name of the domain. This member may be NULL.

    - #### Flags

          public int Flags

      Contains a set of flags that specify more data about the domain trust.

    - #### ParentIndex

          public int ParentIndex

      Contains the index in the Domains array returned by the DsEnumerateDomainTrusts function that corresponds to the parent domain of the domain represented by this structure.

    - #### TrustType

          public int TrustType

      Contains a value that indicates the type of trust represented by this structure.

    - #### TrustAttributes

          public int TrustAttributes

      Contains a value that indicates the attributes of the trust represented by this structure.

    - #### DomainSid

          public WinNT.PSID.ByReference DomainSid

      Contains the security identifier of the domain represented by this structure.

    - #### DomainGuid

          public Guid.GUID DomainGuid

      Contains the GUID of the domain represented by this structure.

  - ### Constructor Detail

    - #### DS_DOMAIN_TRUSTS

          public DS_DOMAIN_TRUSTS()

    - #### DS_DOMAIN_TRUSTS

          public DS_DOMAIN_TRUSTS(Pointer p)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.